# Query to verify QR code status

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/qrcode/check?access_token=xxxxxxxxx

# Example of request parameters

{
  "ticket":"05ba627d5b73b6f3ef0dcfc7"
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok",
    "status":0,
    "self_check_err_code":0,
    "self_check_err_msg":"",
    "scan_user_type":1
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
ticket string yes Two-dimensional ticket

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
errmsg string Error message
status number Scan status
self_check_err_code number The business returned an error code
self_check_err_msg string Business returns error information
scan_user_type number The identity of the sweeper

# Enumeration values-status

枚举值 describe
0 Non-scanned
1 Confirmed
2 Cancelled
3 Has expired
4 It has been scanned.

# Enumeration values-status

枚举值 describe
0 Non-administrators
1 admins
2 Sub-Admin

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long